Bug 589562 - PackageKit internal system error
Summary: PackageKit internal system error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: PackageKit
Version: 6.0
Hardware: i686
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Richard Hughes
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 12:57 UTC by Lubos Kocman
Modified: 2014-01-21 06:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 547032
Environment:
Last Closed: 2010-06-22 22:05:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lubos Kocman 2010-05-06 12:57:21 UTC
Hello I think that my problem is the same as in Bug #547032. 

It happened to me when I was trying to install RHEL6.0 Workstation (i686) snapshot2  via pxe boot.

RpmDBError: Package tuple ('rhts-lab-controller', 'noarch', '0', '3.6.11', '20100120.1') could not be found in rpmdb

(full traceback in attachment)

Steps to reproduce:

1. Boot RHEL 6.0 Workstation i686 Workstation via pxe boot.
2. do some basic setup ( I left /home on encrypted lvm)
3. add some extra repositories
   -- then I had problem that some dependencies weren't present on these servers
4. un-check newly added repositories (repositories are stored in attachment)
leave default packages (un-check customize now)
5. an exception occurred

Hope that this will help

+++ This bug was initially created as a clone of Bug #547032 +++

Bug report as requested by PackageKit:


Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 1929, in update_packages
    txmbr = self.yumbase.update(po=pkg)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 3137, in update
    updated_pkg =  self.getInstalledPackageObject(updated)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 2399, in getInstalledPackageObject
    raise Errors.RpmDBError, _('Package tuple $s could not be found in rpmdb') $ str(pkgtup)
RpmDBError: Package tuple ('audacity', 'x86_64', '0', '1.3.9', '0.4.beta.fc12') could not be found in rpmdb

--- Additional comment from smparrish@gmail.com on 2009-12-22 09:47:44 EST ---

This bug has been triaged

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

--- Additional comment from beland@alum.mit.edu on 2010-03-08 20:33:15 EST ---

This looks similar to Bug 548866.

--- Additional comment from rhughes@redhat.com on 2010-03-22 12:35:13 EDT ---

Is this reproducible? Got any more information? Thanks.

--- Additional comment from rhughes@redhat.com on 2010-03-22 12:37:16 EDT ---

*** Bug 548866 has been marked as a duplicate of this bug. ***

Comment 2 RHEL Program Management 2010-05-06 14:45:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Lubos Kocman 2010-06-22 14:23:40 UTC
This issue is no longer problematic. As it seems to be fixed in newer releases. I'm suggesting to close this issue.


Note You need to log in before you can comment on or make changes to this bug.